petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchSetInitialStepLength

Sets the initial step length of a line search. If this value is not set then 1.0 is assumed.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetInitialStepLength(TaoLineSearch ls,PetscReal s)

Logically Collective on TaoLineSearch Many br

### Input Parameters

| ls | - the TaoLineSearch context Many br
| s | - the initial step size Many br

Many br

### See Also

TaoLineSearchGetStepLength(), TaoLineSearchApply()

Level:intermediate
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages